cURL
curl --request GET \
--url https://flowra.dev/api/v1/ai/models \
--header 'x-api-key: <api-key>'import requests
url = "https://flowra.dev/api/v1/ai/models"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://flowra.dev/api/v1/ai/models', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "Operation completed successfully",
"data": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modelId": "openai/gpt-4o-mini",
"canonicalSlug": "openai/gpt-4o-mini",
"name": "GPT-4o Mini",
"provider": "openai",
"contextLength": 128000,
"knowledgeCutoff": "2024-06",
"architecture": {
"modality": "text->text",
"inputModalities": [
"text"
],
"outputModalities": [
"text"
]
},
"supportedParameters": [
"temperature",
"max_tokens"
],
"pricing": {
"prompt": "0.000001",
"completion": "0.000002",
"input": "0.000001",
"output": "0.000002",
"cachedInputTokens": "0.0000005",
"cacheCreationInputTokens": "0.000001"
},
"mediaKind": null,
"reserveUsdPerUnit": 0.06,
"mediaCapabilities": {
"unit": "second",
"supportsEdit": true,
"defaultVoice": "alloy",
"supportedVoices": [
"alloy",
"verse"
],
"durations": [
4,
8
],
"resolutions": [
"720p",
"1080p"
],
"aspectRatios": [
"16:9",
"9:16"
],
"sizes": [
"1024x1024"
]
},
"isActive": true,
"description": "",
"supportsReasoning": true,
"supportsEffort": true
}
]
}LLM
Get apiv1aimodels
Get models - returns all for admin, active only for others
GET
/
api
/
v1
/
ai
/
models
cURL
Authorizations
Project API key. Create and manage keys in the dashboard under Project → API Keys. Send as header: x-api-key:
Query Parameters
Catalog to list. Default chat (LLM brains). Use image, video, tts, or stt for media models.
Available options:
chat, image, video, tts, stt Example:
"chat"
Response
200 - application/json
List of AI models retrieved successfully
Success status
Example:
true
Success message
Example:
"Operation completed successfully"
Response data
Show child attributes
Show child attributes
Example:
[
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"modelId": "openai/gpt-4o-mini",
"canonicalSlug": "openai/gpt-4o-mini",
"name": "GPT-4o Mini",
"provider": "openai",
"contextLength": 128000,
"knowledgeCutoff": "2024-06",
"architecture": {
"modality": "text->text",
"inputModalities": ["text"],
"outputModalities": ["text"]
},
"supportedParameters": ["temperature", "max_tokens"],
"pricing": {
"prompt": "0.000001",
"completion": "0.000002",
"input": "0.000001",
"output": "0.000002",
"cachedInputTokens": "0.0000005",
"cacheCreationInputTokens": "0.000001"
},
"mediaKind": null,
"reserveUsdPerUnit": 0.06,
"mediaCapabilities": {
"unit": "second",
"supportsEdit": true,
"defaultVoice": "alloy",
"supportedVoices": ["alloy", "verse"],
"durations": [4, 8],
"resolutions": ["720p", "1080p"],
"aspectRatios": ["16:9", "9:16"],
"sizes": ["1024x1024"]
},
"isActive": true,
"description": "",
"supportsReasoning": true,
"supportsEffort": true
}
]
Was this page helpful?